from django.contrib.auth.models import Permission
from django.test import TestCase

from authentication.models import ExtendedUser
from mail.models import UserNotificationChannel


class UserNotificationTestCase(TestCase):

    def setUp(self):
        super().setUp()
        self.user = ExtendedUser.objects.create_user('testuser', 'test', 'test')
        self.user.user_permissions.add(*Permission.objects.all())
        self.user.save()
        self.channel = UserNotificationChannel.objects.create(user=self.user, channel_type='telegram',
                                                              channel_target='123456789',
                                                              event_filter='*', active=True)

    async def test_telegram_notify(self):
        pass
